Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.wtc.jatmi
Class TPReplyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              weblogic.wtc.jatmi.TPException
                  weblogic.wtc.jatmi.TPReplyException

All Implemented Interfaces:
  Serializable

    public final class TPReplyException

extends TPException

This class is the exception that represents a TPException failure when there may also be user data on the exception that is thrown

See Also:
  Serialized Form

Field Summary

Fields inherited from class weblogic.wtc.jatmi.TPException
`QMEABORTED, QMEBADMSGID, QMEBADQUEUE, QMEBADRMID, QMEINUSE, QMEINVAL, QMEINVHANDLE, QMENOMSG, QMENOSPACE, QMENOTOPEN, QMEOS, QMEPROTO, QMERELEASE, QMESHARE, QMESYSTEM, QMETRAN, QMNONE, TPEABORT, TPEBADDESC, TPEBLOCK, TPED_CLIENTDISCONNECTED, TPED_DECRYPTION_FAILURE, TPED_DOMAINUNREACHABLE, TPED_INVALID_CERTIFICATE, TPED_INVALID_SIGNATURE, TPED_INVALID_XA_TRANSACTION, TPED_INVALIDCONTEXT, TPED_NOCLIENT, TPED_NOUNSOLHANDLER, TPED_OTS_INTERNAL, TPED_PERM, TPED_SVCTIMEOUT, TPED_TERM, TPEDIAGNOSTIC, TPEEVENT, TPEHAZARD, TPEHEURISTIC, TPEINVAL, TPEITYPE, TPELIMIT, TPEMATCH, TPEMIB, TPENOENT, TPEOS, TPEOTYPE, TPEPERM, TPEPROTO, TPERELEASE, TPERMERR, TPESVCERR, TPESVCFAIL, TPESYSTEM, TPETIME, TPETRAN, TPEV_DISCONIMM, TPEV_SENDONLY, TPEV_SVCERR, TPEV_SVCFAIL, TPEV_SVCSUCC, TPGOTSIG, TPMINVAL`

Constructor Summary
`TPReplyException(int err, int uerr, int urcode, int detail, int diagnostic, int revent, Reply aRplyRtn)` This constructer sets the reply errno as well as the data which goes along with it
`TPReplyException(int err, int uerr, int urcode, int detail, Reply aRplyRtn)` This constructer sets the reply errno as well as the data which goes along with it
`TPReplyException(int err, Reply aRplyRtn)` This is the constructor that should be used when throwing an exception from the TuxedoService interface.

Method Summary
`Reply` | `getExceptionReply()` Gets the data that goes along with this service failure

Methods inherited from class weblogic.wtc.jatmi.TPException
`getdiagnostic, getReplyRtn, getrevent, gettperrno, gettperrordetail, gettpurcode, getUunixerr, toString, tpstrerror, tpstrerrordetail`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TPReplyException

    public TPReplyException(int err,
                            Reply aRplyRtn)
                     throws TPException

  This is the constructor that should be used when throwing an exception from the TuxedoService interface. err should either be TPESVCERR or TPESVCFAIL. The aRplyRtn can contain user data to be returned in the failure case, and the tpurcode to be returned.

  Parameters:
    `err` - Either TPException.TPESVCERR or TPException.TPESVCFAIL
    `aRplyRtn` - Shall contain the return user data and tpurcode
  Throws:
    `TPException` - if there is an invalid input

### TPReplyException

    public TPReplyException(int err,
                            int uerr,
                            int urcode,
                            int detail,
                            Reply aRplyRtn)

  This constructer sets the reply errno as well as the data which goes along with it

  Parameters:
    `err` - The TPException value
    `uerr` - The Uunixerr value
    `urcode` - The tpurcode value
    `detail` - The tperrordetail value
    `aRplyRtn` - The data that was returned with this error

### TPReplyException

    public TPReplyException(int err,
                            int uerr,
                            int urcode,
                            int detail,
                            int diagnostic,
                            int revent,
                            Reply aRplyRtn)

  This constructer sets the reply errno as well as the data which goes along with it

  Parameters:
    `err` - The TPException value
    `uerr` - The Uunixerr value
    `urcode` - The tpurcode value
    `detail` - The tperrordetail value
    `diagnostic` - The diagnostic value
    `revent` - The conversational event which occurred
    `aRplyRtn` - The data that was returned with this error

Method Detail

### getExceptionReply

    public Reply getExceptionReply()

  Gets the data that goes along with this service failure

  Returns:
    The data that goes along with this exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD